use iced::Application;
use iced::settings::Settings;
use iced::window;

mod palette;
mod app;
mod styles;
mod file_select;
mod load_song;
mod editor;
mod player;
mod controls;
mod model;

fn main() {
	app::DelyriumApp::run(Settings {
		default_font: Some(include_bytes!("../fonts/vg5000/VG5000.otf")),
		window: window::Settings {
			min_size: Some((450, 0)),
			..window::Settings::default()
		},
		..Settings::default()
	}).unwrap();
}
